Skip to content

List Snapshots

GET
/api/v1/nodes/{node_id}/snapshots/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/snapshots/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key for authenticating the request

Example

<API_KEY>
location
required
string

Specifies the location/region for which snapshots are listed

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code of the list snapshots response

integer
data
Array<object>
object
name

Name of the snapshot

string
date

Timestamp of the snapshot in UTC

string format: date-time
size

Size of the snapshot in bytes

string
snapshot_uuid

Unique identifier of the snapshot

string format: uuid
snapshot_id

Identifier of the snapshot

string
status

Current state of the snapshot

string
method

The method used to create the snapshot

string
is_locked

Indicates whether the snapshot is locked.

boolean
bs_size

Size of the snapshot as a stringified decimal number

string
snapshot_size

Human-readable size of the snapshot

string
errors
object
message

Status message indicating the result of the list snapshots operation

string

Example

{
"code": 200,
"data": [
{
"name": "etsghrh",
"date": "2025-07-18T09:32:32Z",
"size": "95367",
"snapshot_uuid": "f5bb7e1d-413e-4f24-5501-927bb2xxxxd1",
"snapshot_id": "0",
"status": "Complete",
"method": "Manual",
"is_locked": false,
"bs_size": "0.0931318359375",
"snapshot_size": "4.4 GB"
}
],
"message": "Success"
}